package com.test;

import javax.jms.Connection;
import javax.jms.ConnectionFactory;
import javax.jms.JMSException;
import javax.jms.MessageProducer;
import javax.jms.Queue;
import javax.jms.Session;
import javax.jms.TextMessage;

import org.apache.activemq.ActiveMQConnection;
import org.apache.activemq.ActiveMQConnectionFactory;

public class Producer {

	public static void main(String[] args) throws JMSException {
		ConnectionFactory connectionFactory = new ActiveMQConnectionFactory(ActiveMQConnection.DEFAULT_BROKER_URL);
		Connection connection = connectionFactory.createConnection();
		connection.start();

		Session session = connection.createSession(false /* no tran */, Session.AUTO_ACKNOWLEDGE);
		Queue destination = session.createQueue("queue/test");
		MessageProducer producer = session.createProducer(destination);
		TextMessage message = session.createTextMessage("opaopa");
		producer.send(message);
		connection.close();
	}
}